openvswitch (3.7.1-3build1) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 19:14:38 +0000

openvswitch (3.7.1-3) unstable; urgency=medium

  * Add 0001-tests-ovsdb-Fix-negotiation-error-check-with-OpenSSL.patch
    (Closes: #1138325).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2026 13:19:44 +0200

openvswitch (3.7.1-2) unstable; urgency=medium

  * Team upload.
  * d/t/control: Be explicit on GNU awk dependency (LP: #2148293).
  * d/t: Change of behavior in kernel invalidates assertions on some tests
    (LP: #2147607).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 14 Apr 2026 10:57:21 +0000

openvswitch (3.7.1-1) unstable; urgency=high

  * New upstream release:
    - Addresses CVE-2026-34956: Open vSwitch: Invalid memory access in
      conntrack FTP alg (Closes: #1132449).
  * Removed patches applied upstream:
    - tests-Make-routing-rules-checks-more-resilient.patch
    - ovs-router-Fix-disable-system-route-rules-filter.patch
    - ovs-router-Fix-locking-in-ovs_router_rule_add.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Apr 2026 11:05:04 +0200

openvswitch (3.7.0-1) unstable; urgency=medium

  * Team upload.

  [ Matteo Perin ]
  * Update upstream source from tag 'upstream/3.7.0'
  * d/control: Add python3-netaddr and python3-pyparsing to build-depends.
  * d/p/tests-Fix-sigpipe-race-condition-in-odp-tests.patch: Drop.
  * d/p/tests-Make-routing-rules-checks-more-resilien.patch: Replace with
    upstream version.
  * Fix system routing tests.
    - d/p/ovs-router-Fix-disable-system-route-rules-filter.patch
    - d/p/ovs-router-Fix-locking-in-ovs_router_rule_add.patch

  [ Frode Nordahl ]
  * d/t/control: Be explicit about the iputils-ping test dependency (LP: #2126981).

 -- Matteo Perin <matteo.perin@canonical.com>  Mon, 02 Mar 2026 19:22:00 +0100

openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d3) unstable; urgency=medium

  * Blacklist "33: bfd - bfd decay" in riscv64.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 10:56:00 +0100

openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d2) unstable; urgency=medium

  * Add Alias=openvswitch.service to openvswitch-switch.service to be aligned
    with the Red Hat .service name.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Feb 2026 15:36:04 +0100

openvswitch (3.7.0~git20260211.8c6ebf8-1~1.gbp9127d1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.7.0_git20260211.8c6ebf8'.
  * d/rules: Add proper guards for s390x arch.
  * d/p/tests-Make-routing-rules-checks-more-resilient.patch: Some
    datapath tests were failing due to pre-existing routing rules,
    this fix makes the check more general, allowing the tests to
    pass in more environments.
  * d/p/tests-Fix-sigpipe-race-condition-in-odp-tests.patch: In unit
    tests a race condition could happen where the test script (test-dpparse.py)
    would finish processing and close its stdin before the pipeline completed
    writing all its output, making the test fail, this patch addresses this situation.
  * d/p/make-ovs-skip-atlocal-in-rsicv.patch: Drop as it has no effect.
  * Fix lintian warnings and errors.
  * d/control: Bump libdpdk-dev version.

 -- Matteo Perin <matteo.perin@canonical.com>  Fri, 13 Feb 2026 10:41:50 +0100

openvswitch (3.6.0-7) unstable; urgency=medium

  * export PYBUILD_SYSTEM=distutils when calling pybuild (Closes: #1126096).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 16:01:04 +0100

openvswitch (3.6.0-6) unstable; urgency=medium

  * Add make-ovs-skip-atlocal-in-rsicv.patch (Closes: #1121905).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 12:11:21 +0100

openvswitch (3.6.0-5) unstable; urgency=medium

  * Add more tests to the blacklist, which are happening on slower hardware
    (Closes: #1108054).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 18:24:37 +0100

openvswitch (3.6.0-4) unstable; urgency=medium

  * Blacklist one test in s390x and one in rscv64.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 18:01:59 +0100

openvswitch (3.6.0-3) unstable; urgency=medium

  * Clean-up .pybuild folder on clean (Closes: #1048074).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 12:27:47 +0100

openvswitch (3.6.0-2) unstable; urgency=medium

  * Blacklist "980: ofproto - flow table names" in riscv.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Aug 2025 13:32:07 +0200

openvswitch (3.6.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: Recommends openvswitch-switch for openvswitch-common
    (Closes: #1080961).
  * d/tests: Drop bind mount trick for DPDK test (LP: #2019069).
  * Update upstream source from tag 'upstream/3.6.0'

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 20 Aug 2025 08:32:23 +0000

openvswitch (3.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/control: Add X-Python3-Version stanza.
  * d/python3-openvswitch.install: Support building extension for multiple
    Python versions.
  * d/rules: Drop unnecessary Python version environment variables.
  * d/t/python-extension: Run test with all available python3
    interpreters.
  * d/rules: Move pybuild environment setup/command to variable allowing
    reuse across make targets.
  * d/t/control: Add python3-all for python-extension test.
  * d/control: Drop python3:Depends macro for -dpdk.
  * d/control: Move Python depends to recommends where appropriate.
  * d/control: Make direct/indirect dependencies of ovs-flowviz
    recommended for better UX.
  * d/control: Drop python3:Depends macro for -vtep.
  * d/control: Drop shlibs:Depends macro for -ipsec.
  * d/control: Add missing recommended/suggested python dependencies.
  * Update upstream source from tag 'upstream/3.5.0_git20250215.6740a52'
  * d/patches/*: Drop, no longer needed.
  * Update upstream source from tag 'upstream/3.5.0'

  [ Ilya Maximets ]
  * d/scripts/openvswitch-testcontroller.default: Refer to SSL
    configuration as SSL/TLS.
  * Set release date for 3.5.0.

  [ Roi Dayan ]
  * d/openvswitch-switch.*.service: Use PIDFile with systemd.

  [ Han Zhou ]
  * d/openvswitch-switch.ovsdb-server.service: Let *-ctl handle runtime
    directory.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 18 Feb 2025 03:11:12 +0000

openvswitch (3.5.0~git20241129.2af7cef-2) unstable; urgency=medium

  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 Dec 2024 11:14:05 +0000

openvswitch (3.5.0~git20241129.2af7cef-1) experimental; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.5.0_git20241129.2af7cef'.
  * d/p/netdev-offload-dpdk-Fix-build-with-v24.11-rc1.patch: Fix build
    with DPDK 24.11.
  * d/control: Bump DPDK build dependency to 24.11.
  * d/control: Bump xdp-tools build dependency to 1.4.3.
  * d/p/ovs-dev-netdev-dpdk-Restore-outer-UDP-checksum-for-Intel-
    nics..patch: Restore outer UDP checksum for Intel nics.
  * d/control: Suggest python3-openvswitch dependency for ovs-flowviz.
  * d/control: Suggest python3-netaddr dependency for ovs-flowviz.
  * d/control: Suggest python3-graphviz dependency for ovs-flowviz.
  * d/rules: Use pybuild to build and install OVS Python module.
  * d/openvswitch-common.install: Add ovs-flowviz binary.
  * d/tests: Add test for OVS Python extension.
  * d/rules: Only use ovs-vswitchd binary linked with DPDK for
    build-time DPDK test (LP: #2090931).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 03 Dec 2024 16:35:34 +0100

openvswitch (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.4.0'
  * d/control: Bump dpdk dependency.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 15 Aug 2024 21:25:31 +0200

openvswitch (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.1'
  * d/patches: Drop patches included in new upstream release.
  * d/tests: Use build-needed restriction field.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sat, 08 Jun 2024 13:11:24 +0200

openvswitch (3.3.0-5) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * Add loong64 support. Thanks zhangdandan for the patch. (Closes: #1065591).

  [ Frode Nordahl ]
  * d/p/ofproto-dpif-xlate-Fix-continuations-with-associated-
    metering.patch: Cherry-pick fix required for OVN 24.03.2.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sat, 18 May 2024 22:03:21 +0200

openvswitch (3.3.0-4) unstable; urgency=medium

  * Team upload.
  * d/tests: Use NMAP implementation of netcat (LP: #2062506).
  * d/tests: Allow populating TEST_LIST from environment.
  * d/tests: Use 1G hugepages for dpdk test on arm64 (LP: #2059400).
  * d/tests/run-tests.sh: Fix shellcheck lint.
  * d/tests: Bump number of 1G hugepages to 3 for arm64 (LP: #2063112).
  * d/tests: Skip flaky tests.
  * d/tests: Skip tests not fitting memory constraints in arm64 CI
    (LP: #2063152).
  * d/tests/testlist.py: Handle range of single test correctly.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 01 May 2024 09:37:03 +0200

openvswitch (3.3.0-3) unstable; urgency=medium

  * Blacklist 3 more unit tests for risc-v.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 16:40:42 +0200

openvswitch (3.3.0-2) unstable; urgency=medium

  * Add fix-in-ssl-handshake-failure-test.patch (Closes: #1069406).
  * Add lp-2060434-tests-Fix-compatibility-issue-with-Python-3.13-in.patch
    taken from Ubuntu.
  * Blacklist non-deterministic tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 13:34:51 +0200

openvswitch (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.0'.
  * d/p/dp-packet-Reset-offload_offsets-when-clearing-a-packet.patch:
    Drop, included in new upstream version.
  * d/p/0001-tests-ovsdb-server-Fix-config-file-same-schema-test.patch:
    Drop, included in new upstream version.
  * d/openvswitch-switch.lintian-overrides: Remove obsolete tag "package-
    supports-alternative-init-but-no-init.d-script".
  * d/control: Replace pkg-config with pkgconf as build dependency.
  * CVE-2023-3966: Fix invalid memory access in Geneve with HW offload
    (Closes: #1063492).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 29 Feb 2024 14:25:30 +0100

openvswitch (3.3.0~git20240118.e802fe7-3) unstable; urgency=medium

  * Team upload.
  * d/p/dp-packet-Reset-offload_offsets-when-clearing-a-packet.patch:
    Cherry-pick fix, required for OVN branch-24.03 snapshot.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 05 Feb 2024 08:45:19 +0000

openvswitch (3.3.0~git20240118.e802fe7-2) unstable; urgency=medium

  * Team upload.
  * d/p/0001-tests-ovsdb-server-Fix-config-file-same-schema-test.patch:
    Fix s390x build error.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Sat, 20 Jan 2024 09:45:12 +0000

openvswitch (3.3.0~git20240118.e802fe7-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.0_git20240118.e802fe7'

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 18 Jan 2024 20:43:44 +0000

openvswitch (3.2.2~git20231029-2) unstable; urgency=medium

  * Team upload.
  * d/t/run-tests.sh: Don't stop non-existing testcontroller service.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 30 Nov 2023 06:51:51 +0100

openvswitch (3.2.2~git20231029-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Add architecture-is-64-bit, making the package build only for 64 bits and
    dropping 32 bits support.
  * Drop non-64 bits test blacklists from d/rules.
  * Cleans better.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/3.2.2_git20231029'
  * d/p/*: Drop patches included in new upstream version.
  * d/control: Bump dpdk dependency (LP: #2040097).
  * d/t/*-skip-tests.txt: Add flaky test to list.
  * d/rules: Provide source tree directly under /usr/src/openvswitch
    instead of providing a .tar.gz archive to fix reproducible build issue.
  * Drop init wiring of testcontroller and vtep emulator (Closes: #1039304).
    - The openvswitch-testcontroller and openvswitch-vtep binary packages
      contain daemons/scripts useful for development and testing.
    - Drop associated init scripts in preparation for deprecation of the
      transitional sysv-init-to-unit generator, as it would be non-trivial
      to convert these to systemd services.
    - An adapted version of the init script will be retained in
      /etc/openvswitch-testcontroller and /etc/openvswitch-vtep and can be
      used for manual control of the test services.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Nov 2023 10:16:21 +0100

openvswitch (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/tests-Fix-time-dependency-in-overlapping-flows-modification-
    test..patch: Fix riscv64 build failure.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 28 Aug 2023 16:24:15 +0200

openvswitch (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.2.0'
  * d/p/docs-*: Update patch for #1042358.
  * d/p/lib-fatal-signal-Drop-logging-of-failed-dummy-backtr.patch: Drop
    unnecessary debug logging to fix armhf build (LP: #2032623).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 22 Aug 2023 10:43:20 +0200

openvswitch (3.1.2-4) unstable; urgency=medium

  * Fix ifupdown.sh (Closes: #1039601).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 11:15:19 +0200

openvswitch (3.1.2-3) unstable; urgency=medium

  * Re-add openvswitch-common.postinst to clean-up obsolete alternative,
    thanks to Andreas Beckmann for it (Closes: #1036569).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 10:55:22 +0200

openvswitch (3.1.2-2) unstable; urgency=medium

  * Add patches from Colin Watson to repair the docs (Closes: #1042358):
    - docs-1-Wrap_more_table_entries_in_text_blocks.patch
    - docs-2-Shorten_overly-wide_table_heading.patch
    - docs-3-Tweak_width_of_name_column_in_field_property.patch
    - docs-4-Fix_rendering_of_VLAN_Comparison_Chart.patch
    - docs-5-Run_tbl_preprocessor_in_manpage-check_rule.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Aug 2023 16:57:37 +0200

openvswitch (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.1.2'.
  * d/p/CVE-2023-1668_ofproto-dpif-xlate_Always_mask_ip_proto_field.patch:
    Drop, included in new upstream version.
  * d/control: Add libnuma-dev on s390x for AF_XDP.
  * d/p/drop-old-autopkgtest: Drop old autopkgtest.
  * debian/tests: Run upstream system tests as autopkgtests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 27 Jun 2023 19:13:06 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openvswitch-doc`.
